diff -ur xmms-0.9.1.orig/acconfig.h xmms-0.9.1/acconfig.h
--- xmms-0.9.1.orig/acconfig.h	Wed Jul 14 16:54:03 1999
+++ xmms-0.9.1/acconfig.h	Wed Jul 14 16:55:17 1999
@@ -5,3 +5,6 @@
 #undef HAVE_MMAP
 #undef HAVE_SCHED_SETSCHEDULER
 #undef HAVE_SYS_SOUNDCARD_H
+
+/* Define if you use multibyte charactor */
+#undef I18N_MB
diff -ur xmms-0.9.1.orig/configure xmms-0.9.1/configure
--- xmms-0.9.1.orig/configure	Wed Jul 14 16:54:04 1999
+++ xmms-0.9.1/configure	Wed Jul 14 17:03:25 1999
@@ -53,6 +53,8 @@
   --with-gnome-libs       Specify location of GNOME libs"
 ac_help="$ac_help
   --with-gnome            Specify prefix for GNOME files"
+ac_help="$ac_help
+  --enable-i18n           multibyte character support"
 
 # Initialize some variables set by options.
 # The variables have the same names as the options, with
@@ -594,7 +596,7 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:598: checking for a BSD compatible install" >&5
+echo "configure:600: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -647,7 +649,7 @@
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
 echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
-echo "configure:651: checking whether build environment is sane" >&5
+echo "configure:653: checking whether build environment is sane" >&5
 # Just in case
 sleep 1
 echo timestamp > conftestfile
@@ -704,7 +706,7 @@
 test "$program_transform_name" = "" && program_transform_name="s,x,x,"
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:708: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:710: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -751,7 +753,7 @@
 
 missing_dir=`cd $ac_aux_dir && pwd`
 echo $ac_n "checking for working aclocal""... $ac_c" 1>&6
-echo "configure:755: checking for working aclocal" >&5
+echo "configure:757: checking for working aclocal" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -764,7 +766,7 @@
 fi
 
 echo $ac_n "checking for working autoconf""... $ac_c" 1>&6
-echo "configure:768: checking for working autoconf" >&5
+echo "configure:770: checking for working autoconf" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -777,7 +779,7 @@
 fi
 
 echo $ac_n "checking for working automake""... $ac_c" 1>&6
-echo "configure:781: checking for working automake" >&5
+echo "configure:783: checking for working automake" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -790,7 +792,7 @@
 fi
 
 echo $ac_n "checking for working autoheader""... $ac_c" 1>&6
-echo "configure:794: checking for working autoheader" >&5
+echo "configure:796: checking for working autoheader" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -803,7 +805,7 @@
 fi
 
 echo $ac_n "checking for working makeinfo""... $ac_c" 1>&6
-echo "configure:807: checking for working makeinfo" >&5
+echo "configure:809: checking for working makeinfo" >&5
 # Run test in a subshell; some versions of sh will print an error if
 # an executable is not found, even if stderr is redirected.
 # Redirect stdin to placate older versions of autoconf.  Sigh.
@@ -895,7 +897,7 @@
 fi
 
 echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:899: checking host system type" >&5
+echo "configure:901: checking host system type" >&5
 
 host_alias=$host
 case "$host_alias" in
@@ -916,7 +918,7 @@
 echo "$ac_t""$host" 1>&6
 
 echo $ac_n "checking build system type""... $ac_c" 1>&6
-echo "configure:920: checking build system type" >&5
+echo "configure:922: checking build system type" >&5
 
 build_alias=$build
 case "$build_alias" in
@@ -936,7 +938,7 @@
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:940: checking for $ac_word" >&5
+echo "configure:942: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -966,7 +968,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:970: checking for $ac_word" >&5
+echo "configure:972: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -996,7 +998,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1000: checking for $ac_word" >&5
+echo "configure:1002: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1047,7 +1049,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1051: checking for $ac_word" >&5
+echo "configure:1053: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1079,7 +1081,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1083: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:1085: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -1090,12 +1092,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 1094 "configure"
+#line 1096 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:1099: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1101: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -1121,12 +1123,12 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:1125: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:1127: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:1130: checking whether we are using GNU C" >&5
+echo "configure:1132: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1135,7 +1137,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1139: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1141: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -1154,7 +1156,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:1158: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:1160: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1197,7 +1199,7 @@
 if test "$ac_cv_prog_gcc" = yes; then
   # Check if gcc -print-prog-name=ld gives a path.
   echo $ac_n "checking for ld used by GCC""... $ac_c" 1>&6
-echo "configure:1201: checking for ld used by GCC" >&5
+echo "configure:1203: checking for ld used by GCC" >&5
   ac_prog=`($CC -print-prog-name=ld) 2>&5`
   case "$ac_prog" in
     # Accept absolute paths.
@@ -1221,10 +1223,10 @@
   esac
 elif test "$with_gnu_ld" = yes; then
   echo $ac_n "checking for GNU ld""... $ac_c" 1>&6
-echo "configure:1225: checking for GNU ld" >&5
+echo "configure:1227: checking for GNU ld" >&5
 else
   echo $ac_n "checking for non-GNU ld""... $ac_c" 1>&6
-echo "configure:1228: checking for non-GNU ld" >&5
+echo "configure:1230: checking for non-GNU ld" >&5
 fi
 if eval "test \"`echo '$''{'ac_cv_path_LD'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1260,7 +1262,7 @@
 test -z "$LD" && { echo "configure: error: no acceptable ld found in \$PATH" 1>&2; exit 1; }
 
 echo $ac_n "checking if the linker ($LD) is GNU ld""... $ac_c" 1>&6
-echo "configure:1264: checking if the linker ($LD) is GNU ld" >&5
+echo "configure:1266: checking if the linker ($LD) is GNU ld" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gnu_ld'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1276,7 +1278,7 @@
 
 
 echo $ac_n "checking for BSD-compatible nm""... $ac_c" 1>&6
-echo "configure:1280: checking for BSD-compatible nm" >&5
+echo "configure:1282: checking for BSD-compatible nm" >&5
 if eval "test \"`echo '$''{'ac_cv_path_NM'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1314,7 +1316,7 @@
 
 # Check for command to grab the raw symbol name followed by C symbol from nm.
 echo $ac_n "checking command to parse $NM output""... $ac_c" 1>&6
-echo "configure:1318: checking command to parse $NM output" >&5
+echo "configure:1320: checking command to parse $NM output" >&5
 if eval "test \"`echo '$''{'ac_cv_sys_global_symbol_pipe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1377,11 +1379,11 @@
 int main(){nm_test_var='a';nm_test_func;return 0;}
 EOF
 
-  if { (eval echo configure:1381: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  if { (eval echo configure:1383: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
     # Now try to grab the symbols.
     ac_nlist=conftest.nm
   
-    if { (eval echo configure:1385: \"$NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist\") 1>&5; (eval $NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist) 2>&5; } && test -s "$ac_nlist"; then
+    if { (eval echo configure:1387: \"$NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist\") 1>&5; (eval $NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist) 2>&5; } && test -s "$ac_nlist"; then
 
       # Try sorting and uniquifying the output.
       if sort "$ac_nlist" | uniq > "$ac_nlist"T; then
@@ -1433,7 +1435,7 @@
 	  ac_save_CFLAGS="$CFLAGS"
 	  LIBS="conftestm.$ac_objext"
 	  CFLAGS="$CFLAGS$no_builtin_flag"
-	  if { (eval echo configure:1437: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
+	  if { (eval echo configure:1439: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
 	    ac_pipe_works=yes
 	  else
 	    echo "configure: failed program was:" >&5
@@ -1479,7 +1481,7 @@
 echo "$ac_t""$ac_result" 1>&6
 
 echo $ac_n "checking for _ prefix in compiled symbols""... $ac_c" 1>&6
-echo "configure:1483: checking for _ prefix in compiled symbols" >&5
+echo "configure:1485: checking for _ prefix in compiled symbols" >&5
 if eval "test \"`echo '$''{'ac_cv_sys_symbol_underscore'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1488,10 +1490,10 @@
 void nm_test_func(){}
 int main(){nm_test_func;return 0;}
 EOF
-if { (eval echo configure:1492: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1494: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   # Now try to grab the symbols.
   ac_nlist=conftest.nm
-  if { (eval echo configure:1495: \"$NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist\") 1>&5; (eval $NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist) 2>&5; } && test -s "$ac_nlist"; then
+  if { (eval echo configure:1497: \"$NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist\") 1>&5; (eval $NM conftest.$ac_objext \| $ac_cv_sys_global_symbol_pipe \> $ac_nlist) 2>&5; } && test -s "$ac_nlist"; then
     # See whether the symbols have a leading underscore.
     if egrep '^. _nm_test_func' "$ac_nlist" >/dev/null; then
       ac_cv_sys_symbol_underscore=yes
@@ -1517,7 +1519,7 @@
 USE_SYMBOL_UNDERSCORE=${ac_cv_sys_symbol_underscore=no}
 
 echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:1521: checking whether ln -s works" >&5
+echo "configure:1523: checking whether ln -s works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1564,8 +1566,8 @@
 case "$host" in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 1568 "configure"' > conftest.$ac_ext
-  if { (eval echo configure:1569: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+  echo '#line 1570 "configure"' > conftest.$ac_ext
+  if { (eval echo configure:1571: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
     case "`/usr/bin/file conftest.o`" in
     *32-bit*)
       LD="${LD-ld} -32"
@@ -1586,19 +1588,19 @@
   SAVE_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -belf"
   echo $ac_n "checking whether the C compiler needs -belf""... $ac_c" 1>&6
-echo "configure:1590: checking whether the C compiler needs -belf" >&5
+echo "configure:1592: checking whether the C compiler needs -belf" >&5
 if eval "test \"`echo '$''{'lt_cv_cc_needs_belf'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1595 "configure"
+#line 1597 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:1602: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1604: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   lt_cv_cc_needs_belf=yes
 else
@@ -1621,7 +1623,7 @@
   # Extract the first word of "${ac_tool_prefix}dlltool", so it can be a program name with args.
 set dummy ${ac_tool_prefix}dlltool; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1625: checking for $ac_word" >&5
+echo "configure:1627: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_DLLTOOL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1653,7 +1655,7 @@
   # Extract the first word of "dlltool", so it can be a program name with args.
 set dummy dlltool; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1657: checking for $ac_word" >&5
+echo "configure:1659: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_DLLTOOL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1688,7 +1690,7 @@
 # Extract the first word of "${ac_tool_prefix}as", so it can be a program name with args.
 set dummy ${ac_tool_prefix}as; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1692: checking for $ac_word" >&5
+echo "configure:1694: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_AS'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1720,7 +1722,7 @@
   # Extract the first word of "as", so it can be a program name with args.
 set dummy as; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1724: checking for $ac_word" >&5
+echo "configure:1726: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_AS'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1844,7 +1846,7 @@
 LIBTOOL_DEPS="$ac_aux_dir/ltconfig $ac_aux_dir/ltmain.sh"
 
 # Always use our own libtool.
-LIBTOOL='$(SHELL) $(top_builddir)/libtool'
+LIBTOOL='$(SHELL) /usr/local/bin/libtool'
 
 # Redirect the config.log output again, so that the ltconfig log is not
 # clobbered by the next message.
@@ -1863,7 +1865,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1867: checking for $ac_word" >&5
+echo "configure:1869: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1893,7 +1895,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1897: checking for $ac_word" >&5
+echo "configure:1899: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1944,7 +1946,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1948: checking for $ac_word" >&5
+echo "configure:1950: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1976,7 +1978,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1980: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:1982: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -1987,12 +1989,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 1991 "configure"
+#line 1993 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:1996: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1998: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -2018,12 +2020,12 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:2022: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:2024: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:2027: checking whether we are using GNU C" >&5
+echo "configure:2029: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2032,7 +2034,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:2036: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:2038: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -2051,7 +2053,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:2055: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:2057: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2094,7 +2096,7 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:2098: checking for a BSD compatible install" >&5
+echo "configure:2100: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2147,7 +2149,7 @@
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
 echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:2151: checking whether ln -s works" >&5
+echo "configure:2153: checking whether ln -s works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2168,7 +2170,7 @@
 fi
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:2172: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:2174: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2196,7 +2198,7 @@
 
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:2200: checking how to run the C preprocessor" >&5
+echo "configure:2202: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -2211,13 +2213,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 2215 "configure"
+#line 2217 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2221: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2223: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2228,13 +2230,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 2232 "configure"
+#line 2234 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2238: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2240: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2245,13 +2247,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 2249 "configure"
+#line 2251 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2255: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2257: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2277,17 +2279,17 @@
 
 ac_safe=`echo "pthread.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for pthread.h""... $ac_c" 1>&6
-echo "configure:2281: checking for pthread.h" >&5
+echo "configure:2283: checking for pthread.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 2286 "configure"
+#line 2288 "configure"
 #include "confdefs.h"
 #include <pthread.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2291: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2293: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -2363,7 +2365,7 @@
   # Extract the first word of "glib-config", so it can be a program name with args.
 set dummy glib-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2367: checking for $ac_word" >&5
+echo "configure:2369: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GLIB_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2398,7 +2400,7 @@
 
   min_glib_version=1.2.2
   echo $ac_n "checking for GLIB - version >= $min_glib_version""... $ac_c" 1>&6
-echo "configure:2402: checking for GLIB - version >= $min_glib_version" >&5
+echo "configure:2404: checking for GLIB - version >= $min_glib_version" >&5
   no_glib=""
   if test "$GLIB_CONFIG" = "no" ; then
     no_glib=yes
@@ -2421,7 +2423,7 @@
   echo $ac_n "cross compiling; assumed OK... $ac_c"
 else
   cat > conftest.$ac_ext <<EOF
-#line 2425 "configure"
+#line 2427 "configure"
 #include "confdefs.h"
 
 #include <glib.h>
@@ -2497,7 +2499,7 @@
 }
 
 EOF
-if { (eval echo configure:2501: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2503: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -2531,7 +2533,7 @@
           CFLAGS="$CFLAGS $GLIB_CFLAGS"
           LIBS="$LIBS $GLIB_LIBS"
           cat > conftest.$ac_ext <<EOF
-#line 2535 "configure"
+#line 2537 "configure"
 #include "confdefs.h"
 
 #include <glib.h>
@@ -2541,7 +2543,7 @@
  return ((glib_major_version) || (glib_minor_version) || (glib_micro_version)); 
 ; return 0; }
 EOF
-if { (eval echo configure:2545: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2547: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    echo "*** The test program compiled, but did not run. This usually means"
           echo "*** that the run-time linker is not finding GLIB or finding the wrong"
@@ -2629,7 +2631,7 @@
   # Extract the first word of "gtk-config", so it can be a program name with args.
 set dummy gtk-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2633: checking for $ac_word" >&5
+echo "configure:2635: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GTK_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2664,13 +2666,13 @@
 
   min_gtk_version=1.2.2
   echo $ac_n "checking for GTK - version >= $min_gtk_version""... $ac_c" 1>&6
-echo "configure:2668: checking for GTK - version >= $min_gtk_version" >&5
+echo "configure:2670: checking for GTK - version >= $min_gtk_version" >&5
   no_gtk=""
   if test "$GTK_CONFIG" = "no" ; then
     no_gtk=yes
   else
     GTK_CFLAGS=`$GTK_CONFIG $gtk_config_args --cflags`
-    GTK_LIBS=`$GTK_CONFIG $gtk_config_args --libs`
+    GTK_LIBS="-lxpg4 `$GTK_CONFIG $gtk_config_args --libs`"
     gtk_config_major_version=`$GTK_CONFIG $gtk_config_args --version | \
            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
     gtk_config_minor_version=`$GTK_CONFIG $gtk_config_args --version | \
@@ -2687,7 +2689,7 @@
   echo $ac_n "cross compiling; assumed OK... $ac_c"
 else
   cat > conftest.$ac_ext <<EOF
-#line 2691 "configure"
+#line 2693 "configure"
 #include "confdefs.h"
 
 #include <gtk/gtk.h>
@@ -2765,7 +2767,7 @@
 }
 
 EOF
-if { (eval echo configure:2769: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2771: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -2799,7 +2801,7 @@
           CFLAGS="$CFLAGS $GTK_CFLAGS"
           LIBS="$LIBS $GTK_LIBS"
           cat > conftest.$ac_ext <<EOF
-#line 2803 "configure"
+#line 2805 "configure"
 #include "confdefs.h"
 
 #include <gtk/gtk.h>
@@ -2809,7 +2811,7 @@
  return ((gtk_major_version) || (gtk_minor_version) || (gtk_micro_version)); 
 ; return 0; }
 EOF
-if { (eval echo configure:2813: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2815: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    echo "*** The test program compiled, but did not run. This usually means"
           echo "*** that the run-time linker is not finding GTK or finding the wrong"
@@ -2850,7 +2852,7 @@
 # Extract the first word of "xmms", so it can be a program name with args.
 set dummy xmms; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2854: checking for $ac_word" >&5
+echo "configure:2856: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_XMMS_PATH'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -2886,7 +2888,7 @@
 
 PTHREAD_LIBS=error
 echo $ac_n "checking for pthread_attr_init in -lpthread""... $ac_c" 1>&6
-echo "configure:2890: checking for pthread_attr_init in -lpthread" >&5
+echo "configure:2892: checking for pthread_attr_init in -lpthread" >&5
 ac_lib_var=`echo pthread'_'pthread_attr_init | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2894,7 +2896,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lpthread  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2898 "configure"
+#line 2900 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2905,7 +2907,7 @@
 pthread_attr_init()
 ; return 0; }
 EOF
-if { (eval echo configure:2909: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2911: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2927,7 +2929,7 @@
 
 if test "x$PTHREAD_LIBS" = xerror; then
         echo $ac_n "checking for pthread_attr_init in -lpthreads""... $ac_c" 1>&6
-echo "configure:2931: checking for pthread_attr_init in -lpthreads" >&5
+echo "configure:2933: checking for pthread_attr_init in -lpthreads" >&5
 ac_lib_var=`echo pthreads'_'pthread_attr_init | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2935,7 +2937,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lpthreads  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2939 "configure"
+#line 2941 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2946,7 +2948,7 @@
 pthread_attr_init()
 ; return 0; }
 EOF
-if { (eval echo configure:2950: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2952: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -2969,7 +2971,7 @@
 fi
 if test "x$PTHREAD_LIBS" = xerror; then
         echo $ac_n "checking for pthread_attr_init in -lc_r""... $ac_c" 1>&6
-echo "configure:2973: checking for pthread_attr_init in -lc_r" >&5
+echo "configure:2975: checking for pthread_attr_init in -lc_r" >&5
 ac_lib_var=`echo c_r'_'pthread_attr_init | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2977,7 +2979,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lc_r  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 2981 "configure"
+#line 2983 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -2988,7 +2990,7 @@
 pthread_attr_init()
 ; return 0; }
 EOF
-if { (eval echo configure:2992: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2994: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3011,12 +3013,12 @@
 fi
 if test "x$PTHREAD_LIBS" = xerror; then
 	echo $ac_n "checking for pthread_attr_init""... $ac_c" 1>&6
-echo "configure:3015: checking for pthread_attr_init" >&5
+echo "configure:3017: checking for pthread_attr_init" >&5
 if eval "test \"`echo '$''{'ac_cv_func_pthread_attr_init'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3020 "configure"
+#line 3022 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char pthread_attr_init(); below.  */
@@ -3039,7 +3041,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3043: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3045: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_pthread_attr_init=yes"
 else
@@ -3102,7 +3104,7 @@
   # Extract the first word of "esd-config", so it can be a program name with args.
 set dummy esd-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3106: checking for $ac_word" >&5
+echo "configure:3108: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_ESD_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3137,7 +3139,7 @@
 
   min_esd_version=0.2.8
   echo $ac_n "checking for ESD - version >= $min_esd_version""... $ac_c" 1>&6
-echo "configure:3141: checking for ESD - version >= $min_esd_version" >&5
+echo "configure:3143: checking for ESD - version >= $min_esd_version" >&5
   no_esd=""
   if test "$ESD_CONFIG" = "no" ; then
     no_esd=yes
@@ -3161,7 +3163,7 @@
   echo $ac_n "cross compiling; assumed OK... $ac_c"
 else
   cat > conftest.$ac_ext <<EOF
-#line 3165 "configure"
+#line 3167 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -3219,7 +3221,7 @@
 
 
 EOF
-if { (eval echo configure:3223: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:3225: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -3253,7 +3255,7 @@
           CFLAGS="$CFLAGS $ESD_CFLAGS"
           LIBS="$LIBS $ESD_LIBS"
           cat > conftest.$ac_ext <<EOF
-#line 3257 "configure"
+#line 3259 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -3263,7 +3265,7 @@
  return 0; 
 ; return 0; }
 EOF
-if { (eval echo configure:3267: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3269: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    echo "*** The test program compiled, but did not run. This usually means"
           echo "*** that the run-time linker is not finding ESD or finding the wrong"
@@ -3301,12 +3303,12 @@
 for ac_func in esd_get_latency
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3305: checking for $ac_func" >&5
+echo "configure:3307: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 3310 "configure"
+#line 3312 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3329,7 +3331,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3333: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3335: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3404,7 +3406,7 @@
   # Extract the first word of "libmikmod-config", so it can be a program name with args.
 set dummy libmikmod-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3408: checking for $ac_word" >&5
+echo "configure:3410: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_LIBMIKMOD_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3439,7 +3441,7 @@
 
   min_libmikmod_version=3.1.5
   echo $ac_n "checking for libmikmod - version >= $min_libmikmod_version""... $ac_c" 1>&6
-echo "configure:3443: checking for libmikmod - version >= $min_libmikmod_version" >&5
+echo "configure:3445: checking for libmikmod - version >= $min_libmikmod_version" >&5
   no_libmikmod=""
   if test "$LIBMIKMOD_CONFIG" = "no" ; then
     no_libmikmod=yes
@@ -3463,7 +3465,7 @@
   echo $ac_n "cross compiling; assumed OK... $ac_c"
 else
   cat > conftest.$ac_ext <<EOF
-#line 3467 "configure"
+#line 3469 "configure"
 #include "confdefs.h"
 
 #include <mikmod.h>
@@ -3555,7 +3557,7 @@
 }
 
 EOF
-if { (eval echo configure:3559: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:3561: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
 else
@@ -3589,7 +3591,7 @@
           CFLAGS="$CFLAGS $LIBMIKMOD_CFLAGS"
           LIBS="$LIBS $LIBMIKMOD_LIBS"
           cat > conftest.$ac_ext <<EOF
-#line 3593 "configure"
+#line 3595 "configure"
 #include "confdefs.h"
 
 #include <mikmod.h>
@@ -3599,7 +3601,7 @@
  return (MikMod_GetVersion()!=0); 
 ; return 0; }
 EOF
-if { (eval echo configure:3603: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3605: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    echo "*** The test program compiled, but did not run. This usually means"
           echo "*** that the run-time linker is not finding libmikmod or finding the wrong"
@@ -3699,7 +3701,7 @@
 	    # Extract the first word of "gnome-config", so it can be a program name with args.
 set dummy gnome-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3703: checking for $ac_word" >&5
+echo "configure:3705: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_GNOME_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3736,7 +3738,7 @@
 	      no_gnome_config="yes"
 	    else
 	      echo $ac_n "checking if $GNOME_CONFIG works""... $ac_c" 1>&6
-echo "configure:3740: checking if $GNOME_CONFIG works" >&5
+echo "configure:3742: checking if $GNOME_CONFIG works" >&5
 	      if $GNOME_CONFIG --libs-only-l gnome >/dev/null 2>&1; then
 	        echo "$ac_t""yes" 1>&6
 	        
@@ -3744,7 +3746,7 @@
 	# Extract the first word of "orbit-config", so it can be a program name with args.
 set dummy orbit-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3748: checking for $ac_word" >&5
+echo "configure:3750: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_ORBIT_CONFIG'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3780,7 +3782,7 @@
 	# Extract the first word of "orbit-idl", so it can be a program name with args.
 set dummy orbit-idl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3784: checking for $ac_word" >&5
+echo "configure:3786: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_path_ORBIT_IDL'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3814,7 +3816,7 @@
 fi
 
 	echo $ac_n "checking for working ORBit environment""... $ac_c" 1>&6
-echo "configure:3818: checking for working ORBit environment" >&5
+echo "configure:3820: checking for working ORBit environment" >&5
 if eval "test \"`echo '$''{'gnome_cv_orbit_found'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3850,7 +3852,7 @@
 	fi
 
 	echo $ac_n "checking for gnorba libraries""... $ac_c" 1>&6
-echo "configure:3854: checking for gnorba libraries" >&5
+echo "configure:3856: checking for gnorba libraries" >&5
 if eval "test \"`echo '$''{'gnome_cv_gnorba_found'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3914,7 +3916,7 @@
 	
 	    if test "$no_gnome_config" = "yes"; then
               echo $ac_n "checking for gnomeConf.sh file in $gnome_prefix""... $ac_c" 1>&6
-echo "configure:3918: checking for gnomeConf.sh file in $gnome_prefix" >&5
+echo "configure:3920: checking for gnomeConf.sh file in $gnome_prefix" >&5
 	      if test -f $gnome_prefix/gnomeConf.sh; then
 	        echo "$ac_t""found" 1>&6
 	        echo "loading gnome configuration from" \
@@ -3934,7 +3936,7 @@
 	  n=""applets""
 	  for i in $n; do
 	    echo $ac_n "checking extra library $i""... $ac_c" 1>&6
-echo "configure:3938: checking extra library $i" >&5
+echo "configure:3940: checking extra library $i" >&5
 	    case $i in 
 	      applets)
 		
@@ -3953,13 +3955,13 @@
 if test "x$have_gnome" = xyes
 then
 echo $ac_n "checking for GNOME's sysconf dir""... $ac_c" 1>&6
-echo "configure:3957: checking for GNOME's sysconf dir" >&5
+echo "configure:3959: checking for GNOME's sysconf dir" >&5
 GNOME_SYSCONFDIR=`$GNOME_CONFIG --sysconfdir`
 
 echo "$ac_t""$GNOME_SYSCONFDIR" 1>&6
 
 echo $ac_n "checking for GNOME's data dir""... $ac_c" 1>&6
-echo "configure:3963: checking for GNOME's data dir" >&5
+echo "configure:3965: checking for GNOME's data dir" >&5
 GNOME_DATADIR=`$GNOME_CONFIG --datadir`
 
 echo "$ac_t""$GNOME_DATADIR" 1>&6
@@ -3981,7 +3983,7 @@
 LIBS=$GTK_LIBS
 
 echo $ac_n "checking for thread-safe Xlib""... $ac_c" 1>&6
-echo "configure:3985: checking for thread-safe Xlib" >&5
+echo "configure:3987: checking for thread-safe Xlib" >&5
 if eval "test \"`echo '$''{'thread_safe_xlibs'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -3989,7 +3991,7 @@
   thread_safe_xlibs=no
 else
   cat > conftest.$ac_ext <<EOF
-#line 3993 "configure"
+#line 3995 "configure"
 #include "confdefs.h"
 
 #include <X11/Xlib.h>
@@ -3998,7 +4000,7 @@
    exit(!(XInitThreads()));
 }
 EOF
-if { (eval echo configure:4002: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4004: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   thread_safe_xlibs=yes
 else
@@ -4015,7 +4017,7 @@
 echo "$ac_t""$thread_safe_xlibs" 1>&6
 
 echo $ac_n "checking for OSS include dir""... $ac_c" 1>&6
-echo "configure:4019: checking for OSS include dir" >&5
+echo "configure:4021: checking for OSS include dir" >&5
 OSS_CFLAGS=
 if test -f "/etc/oss.conf"
 then
@@ -4049,17 +4051,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4053: checking for $ac_hdr" >&5
+echo "configure:4055: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4058 "configure"
+#line 4060 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4063: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4065: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4089,17 +4091,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4093: checking for $ac_hdr" >&5
+echo "configure:4095: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4098 "configure"
+#line 4100 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4103: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4105: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4129,17 +4131,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4133: checking for $ac_hdr" >&5
+echo "configure:4135: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4138 "configure"
+#line 4140 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4143: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4145: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4169,17 +4171,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4173: checking for $ac_hdr" >&5
+echo "configure:4175: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4178 "configure"
+#line 4180 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4183: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4185: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4209,17 +4211,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4213: checking for $ac_hdr" >&5
+echo "configure:4215: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4218 "configure"
+#line 4220 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4223: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4225: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4249,17 +4251,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4253: checking for $ac_hdr" >&5
+echo "configure:4255: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4258 "configure"
+#line 4260 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4263: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4265: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4289,17 +4291,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4293: checking for $ac_hdr" >&5
+echo "configure:4295: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4298 "configure"
+#line 4300 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4303: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4305: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4329,17 +4331,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4333: checking for $ac_hdr" >&5
+echo "configure:4335: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4338 "configure"
+#line 4340 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4343: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4345: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4369,17 +4371,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4373: checking for $ac_hdr" >&5
+echo "configure:4375: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4378 "configure"
+#line 4380 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4383: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4385: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4409,17 +4411,17 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:4413: checking for $ac_hdr" >&5
+echo "configure:4415: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4418 "configure"
+#line 4420 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:4423: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:4425: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -4447,12 +4449,12 @@
 
 
 echo $ac_n "checking for sched_setscheduler""... $ac_c" 1>&6
-echo "configure:4451: checking for sched_setscheduler" >&5
+echo "configure:4453: checking for sched_setscheduler" >&5
 if eval "test \"`echo '$''{'ac_cv_func_sched_setscheduler'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 4456 "configure"
+#line 4458 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char sched_setscheduler(); below.  */
@@ -4475,7 +4477,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4479: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4481: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_sched_setscheduler=yes"
 else
@@ -4493,7 +4495,7 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for sched_setscheduler in -lposix4""... $ac_c" 1>&6
-echo "configure:4497: checking for sched_setscheduler in -lposix4" >&5
+echo "configure:4499: checking for sched_setscheduler in -lposix4" >&5
 ac_lib_var=`echo posix4'_'sched_setscheduler | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -4501,7 +4503,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lposix4  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 4505 "configure"
+#line 4507 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4512,7 +4514,7 @@
 sched_setscheduler()
 ; return 0; }
 EOF
-if { (eval echo configure:4516: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4518: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4559,14 +4561,14 @@
 
 
 echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
-echo "configure:4563: checking whether byte ordering is bigendian" >&5
+echo "configure:4565: checking whether byte ordering is bigendian" >&5
 if eval "test \"`echo '$''{'ac_cv_c_bigendian'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   ac_cv_c_bigendian=unknown
 # See if sys/param.h defines the BYTE_ORDER macro.
 cat > conftest.$ac_ext <<EOF
-#line 4570 "configure"
+#line 4572 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/param.h>
@@ -4577,11 +4579,11 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:4581: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4583: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   # It does; now see whether it defined to BIG_ENDIAN or not.
 cat > conftest.$ac_ext <<EOF
-#line 4585 "configure"
+#line 4587 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/param.h>
@@ -4592,7 +4594,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:4596: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4598: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_bigendian=yes
 else
@@ -4612,7 +4614,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 4616 "configure"
+#line 4618 "configure"
 #include "confdefs.h"
 main () {
   /* Are we little or big endian?  From Harbison&Steele.  */
@@ -4625,7 +4627,7 @@
   exit (u.c[sizeof (long) - 1] == 1);
 }
 EOF
-if { (eval echo configure:4629: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:4631: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_c_bigendian=no
 else
@@ -4678,7 +4680,7 @@
 fi
 
 echo $ac_n "checking machine architecture""... $ac_c" 1>&6
-echo "configure:4682: checking machine architecture" >&5
+echo "configure:4684: checking machine architecture" >&5
 
 ARCH_TYPE=`uname -m`
 echo "$ac_t""$ARCH_TYPE" 1>&6
@@ -4725,6 +4727,61 @@
 subdirs="libxmms"
 
 
+echo $ac_n "checking for _Xsetlocale in -lX11""... $ac_c" 1>&6
+echo "configure:4732: checking for _Xsetlocale in -lX11" >&5
+ac_lib_var=`echo X11'_'_Xsetlocale | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-lX11  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 4740 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char _Xsetlocale();
+
+int main() {
+_Xsetlocale()
+; return 0; }
+EOF
+if { (eval echo configure:4751: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  CFLAGS="$CFLAGS -DX_LOCALE"
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+# Check whether --enable-kanji or --disable-kanji was given.
+if test "${enable_kanji+set}" = set; then
+  enableval="$enable_kanji"
+  I18N_MB=$enableval
+else
+  I18N_MB=yes
+fi
+
+if test "$I18N_MB" = "yes"; then
+	cat >> confdefs.h <<\EOF
+#define I18N_MB 1
+EOF
+
+fi
+
 xmmsdir=$datadir/xmms
 plugindir=$libdir/xmms
 
@@ -5084,10 +5141,10 @@
     top_srcdir="$ac_dots$ac_given_srcdir" ;;
   esac
 
-  case "$ac_given_INSTALL" in
-  [/$]*) INSTALL="$ac_given_INSTALL" ;;
-  *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
-  esac
+#  case "$ac_given_INSTALL" in
+#  [/$]*) INSTALL="$ac_given_INSTALL" ;;
+#  *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
+#  esac
 
   echo creating "$ac_file"
   rm -f "$ac_file"
@@ -5308,10 +5365,10 @@
       *) # Relative path.
         ac_sub_cache_file="$ac_dots$cache_file" ;;
       esac
-  case "$ac_given_INSTALL" in
-        [/$]*) INSTALL="$ac_given_INSTALL" ;;
-        *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
-        esac
+#  case "$ac_given_INSTALL" in
+#        [/$]*) INSTALL="$ac_given_INSTALL" ;;
+#        *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
+#        esac
 
       echo "running ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir"
       # The eval makes quoting arguments work.
@@ -5345,7 +5402,7 @@
 
 ac_safe=`echo "$prefix/bin/xmms" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $prefix/bin/xmms""... $ac_c" 1>&6
-echo "configure:5349: checking for $prefix/bin/xmms" >&5
+echo "configure:5406: checking for $prefix/bin/xmms" >&5
 if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
diff -ur xmms-0.9.1.orig/configure.in xmms-0.9.1/configure.in
--- xmms-0.9.1.orig/configure.in	Wed Jul 14 16:54:04 1999
+++ xmms-0.9.1/configure.in	Wed Jul 14 16:55:17 1999
@@ -175,6 +175,14 @@
 
 AC_CONFIG_SUBDIRS(libxmms)
 
+AC_CHECK_LIB(X11, _Xsetlocale, CFLAGS="$CFLAGS -DX_LOCALE",,)
+AC_ARG_ENABLE(kanji,
+[  --enable-i18n           multibyte character support],
+		I18N_MB=$enableval, I18N_MB=yes)
+if test "$I18N_MB" = "yes"; then
+	AC_DEFINE(I18N_MB)
+fi
+
 xmmsdir=$datadir/xmms
 plugindir=$libdir/xmms
 
diff -ur xmms-0.9.1.orig/xmms/bmp.c xmms-0.9.1/xmms/bmp.c
--- xmms-0.9.1.orig/xmms/bmp.c	Wed Jul 14 16:53:59 1999
+++ xmms-0.9.1/xmms/bmp.c	Wed Jul 14 16:55:17 1999
@@ -32,6 +32,9 @@
 #define BI_BITFIELDS  3L
 
 static GdkGC *bmp_gc = NULL;
+#ifdef I18N_MB
+static GdkColor *textfg = NULL, *textbg = NULL;
+#endif
 
 int read_le_short(FILE * file, gushort * ret)
 {
@@ -55,6 +58,99 @@
 	return 1;
 }
 
+#ifdef I18N_MB
+GdkColor *get_textfg_frombmp()
+{
+	GdkColor    *fg=NULL;
+	GdkColormap *cm=gdk_colormap_get_system();
+	
+	if(textfg)
+		fg=g_malloc(6*sizeof(GdkColor));
+	if(fg)
+	{
+		gint i;
+		memcpy(fg,textfg,6*sizeof(GdkColor));
+		for(i=0;i<6;i++)
+			gdk_color_alloc(gdk_colormap_get_system(),&fg[i]);
+	}
+	return fg;
+}
+
+GdkColor *get_textbg_frombmp()
+{
+	GdkColor    *bg=NULL;
+	GdkColormap *cm=gdk_colormap_get_system();
+	if(textbg)
+		bg=g_malloc(6*sizeof(GdkColor));
+	if(bg)
+	{
+		gint i;
+		memcpy(bg,textbg,6*sizeof(GdkColor));
+		for(i=0;i<6;i++)
+			gdk_color_alloc(gdk_colormap_get_system(),&bg[i]);
+	}
+	return bg;
+}
+
+/*
+ * detect text foreground and backgrond in every raster.
+ */
+void search_textbg_or_textfg(guchar *data, int w, int h)
+{
+	gint i, d;
+	if(textfg)
+	{
+		g_free(textfg);
+		textfg=NULL;
+	}
+	if(textbg)
+	{
+		g_free(textbg);
+		textbg=NULL;
+	}
+	textbg=g_malloc(sizeof(GdkColor)*6);
+	textfg=g_malloc(sizeof(GdkColor)*6);
+	
+	if((!textbg) || (!textfg))
+		return;
+	
+	for(i=0;i<6;i++)
+	{
+		gint red,green,blue;
+		gint maxd=-1;
+		gint x,y,k=0;
+		
+		textbg[i].red  =(data[(i*w + w-1)*3  ]<<8)|0xff;
+		textbg[i].green=(data[(i*w + w-1)*3+1]<<8)|0xff;
+		textbg[i].blue =(data[(i*w + w-1)*3+2]<<8)|0xff;
+		
+		while(maxd<4 && (i+k)>=0 && (i+k)<6)
+		{
+			for(x=0;x<w;x++)
+			{
+				red  =data[((i+k)*w + x)*3  ];
+				green=data[((i+k)*w + x)*3+1];
+				blue =data[((i+k)*w + x)*3+2];
+				d = abs(red   - ((unsigned int)textbg[i].red  >>8))
+					+ abs(green - ((unsigned int)textbg[i].green>>8))
+					+ abs(blue  - ((unsigned int)textbg[i].blue >>8));
+				if(d > maxd)
+				{
+					textfg[i].red  =(red  <<8)|0xff;
+					textfg[i].green=(green<<8)|0xff;
+					textfg[i].blue =(blue <<8)|0xff;
+					maxd = d;
+				}
+			}
+			if(i<3)
+				k++;
+			else
+				k--;
+		}
+	}
+}
+#endif
+
 /*
  * Imlib's bmp loader sucks big time so I think I'll hang on to this one
  * a while longer and just use imlib for rendering
@@ -387,6 +483,11 @@
 			buffer_ptr += skip;
 		}
 	}
+
+#ifdef I18N_MB
+	if(g_strcasecmp(g_basename(filename), "text.bmp") == 0)
+		search_textbg_or_textfg(data,w,h);
+#endif
 
 	ret = gdk_pixmap_new(root_window, w, h, gdk_visual_get_best_depth());
 
diff -ur xmms-0.9.1.orig/xmms/bmp.h xmms-0.9.1/xmms/bmp.h
--- xmms-0.9.1.orig/xmms/bmp.h	Wed Jul 14 16:53:59 1999
+++ xmms-0.9.1/xmms/bmp.h	Wed Jul 14 16:55:17 1999
@@ -20,5 +20,7 @@
 #define BMP_H
 
 GdkPixmap *read_bmp(char *file);
+GdkColor *get_textfg_frombmp();
+GdkColor *get_textbg_frombmp();
 
 #endif
diff -ur xmms-0.9.1.orig/xmms/main.c xmms-0.9.1/xmms/main.c
--- xmms-0.9.1.orig/xmms/main.c	Wed Jul 14 16:54:00 1999
+++ xmms-0.9.1/xmms/main.c	Wed Jul 14 16:55:17 1999
@@ -376,7 +376,15 @@
 		xmms_cfg_read_boolean(cfgfile, "xmms", "playlist_shaded", &cfg.playlist_shaded);
 		xmms_cfg_read_boolean(cfgfile, "xmms", "playlist_visible", &cfg.playlist_visible);
 		if (!xmms_cfg_read_string(cfgfile, "xmms", "playlist_font", &cfg.playlist_font))
+#ifndef I18N_MB
 			cfg.playlist_font = g_strdup("-adobe-helvetica-bold-r-*-*-10-*");
+#else
+			cfg.playlist_font=g_strdup("-*-helvetica-medium-r-*-*-12-*,-*-kodig-medium-r-*--12-*,-*-*-medium-r-*--12-*,*");
+			if(!xmms_cfg_read_string(cfgfile,"xmms","playinfo_font",&cfg.playinfo_font))
+				cfg.playinfo_font=g_strdup("-*-helvetica-medium-r-*-*-10-*,-*-kodig-medium-r-*--10-*,-*-kodig-medium-r-*--10-*,-*-*-medium-r-*--10-*,-*-*-medium-r-*--12-*,*");
+			xmms_cfg_read_boolean(cfgfile,"xmms","playinfo_font_use_X11font",&cfg.playinfo_font_use_x11font);
+			xmms_cfg_read_int(cfgfile,"xmms","playinfo_font_arrange",&cfg.playinfo_font_arrange);
+#endif
 		xmms_cfg_read_int(cfgfile, "xmms", "playlist_position", &cfg.playlist_position);
 		xmms_cfg_read_int(cfgfile, "xmms", "equalizer_x", &cfg.equalizer_x);
 		xmms_cfg_read_int(cfgfile, "xmms", "equalizer_y", &cfg.equalizer_y);
@@ -403,7 +411,12 @@
 	}
 	else
 	{
+#ifndef I18N_MB
 		cfg.playlist_font = g_strdup("-adobe-helvetica-bold-r-*-*-10-*");
+#else
+		cfg.playlist_font=g_strdup("-*-helvetica-medium-r-*-*-12-*,-*-kodig-medium-r-*--12-*,-*-*-medium-r-*--12-*,*");
+		cfg.playinfo_font=g_strdup("*-helvetica-medium-r-*-*-10-*,-*-kodig-medium-r-*--10-*,-*-kodig-medium-r-*--10-*,-*-*-medium-r-*--10-*,-*-*-medium-r-*--12-*,*");
+#endif
 	}
 	g_free(filename);
 }
@@ -490,6 +503,13 @@
 	xmms_cfg_write_boolean(cfgfile, "xmms", "use_eplugins", cfg.use_eplugins);
 	xmms_cfg_write_boolean(cfgfile, "xmms", "always_on_top", cfg.always_on_top);
 	xmms_cfg_write_float(cfgfile, "xmms", "equalizer_preamp", cfg.equalizer_preamp);
+#ifdef I18N_MB
+	xmms_cfg_write_string(cfgfile,"xmms","playinfo_font",cfg.playinfo_font);
+	g_free(cfg.playinfo_font);
+	xmms_cfg_write_boolean(cfgfile,"xmms","playinfo_font_use_X11font",
+			cfg.playinfo_font_use_x11font);
+	xmms_cfg_write_int(cfgfile,"xmms","playinfo_font_arrange",cfg.playinfo_font_arrange);
+#endif
 	for (i = 0; i < 10; i++)
 	{
 		str = g_strdup_printf("equalizer_band%d", i);
@@ -2556,7 +2576,11 @@
 	mainwin_pl = create_tbutton(&mainwin_wlist, mainwin_bg, mainwin_gc, 242, 58, 23, 12, 23, 61, 69, 61, 23, 73, 69, 73, mainwin_pl_pushed, SKIN_SHUFREP);
 	tbutton_set_toggled(mainwin_pl, cfg.playlist_visible);
 
+#ifndef I18N_MB
 	mainwin_info = create_textbox(&mainwin_wlist, mainwin_bg, mainwin_gc, 112, 27, 153, 1, SKIN_TEXT);
+#else
+	mainwin_info=create_mbtextbox(&mainwin_wlist,mainwin_bg,mainwin_gc,112,27,153,1,SKIN_TEXT);
+#endif
 	textbox_set_scroll(mainwin_info, cfg.autoscroll);
 	mainwin_rate_text = create_textbox(&mainwin_wlist, mainwin_bg, mainwin_gc, 111, 43, 15, 0, SKIN_TEXT);
 	mainwin_freq_text = create_textbox(&mainwin_wlist, mainwin_bg, mainwin_gc, 156, 43, 10, 0, SKIN_TEXT);
@@ -2999,6 +3023,9 @@
 
 	srand(time(NULL));
 
+#ifdef I18N_MB
+	gtk_set_locale();
+#endif
 	read_config();
 
 	if (geteuid() == 0)
diff -ur xmms-0.9.1.orig/xmms/main.h xmms-0.9.1/xmms/main.h
--- xmms-0.9.1.orig/xmms/main.h	Wed Jul 14 16:54:00 1999
+++ xmms-0.9.1/xmms/main.h	Wed Jul 14 16:55:17 1999
@@ -45,6 +45,11 @@
 	gboolean no_playlist_advance, smooth_title_scroll;
 	gfloat equalizer_preamp, equalizer_bands[10];
 	gchar *skin, *outputplugin, *filesel_path, *playlist_font;
+#ifdef I18N_MB
+	gchar *playinfo_font;
+	gint playinfo_font_arrange;
+	gboolean playinfo_font_use_x11font;
+#endif
 	char *effectplugin;
 	gchar *disabled_iplugins, *enabled_gplugins;
 	gint timer_mode, vis_type, analyzer_mode, analyzer_type, scope_mode,
diff -ur xmms-0.9.1.orig/xmms/playlist_list.c xmms-0.9.1/xmms/playlist_list.c
--- xmms-0.9.1.orig/xmms/playlist_list.c	Wed Jul 14 16:54:00 1999
+++ xmms-0.9.1/xmms/playlist_list.c	Wed Jul 14 16:55:17 1999
@@ -245,7 +245,11 @@
 	gdk_gc_set_foreground(gc, get_skin_color(SKIN_PLEDIT_NORMALBG));
 	gdk_draw_rectangle(obj, gc, TRUE, pl->pl_widget.x, pl->pl_widget.y, width, height);
 
+#ifndef I18N_MB
 	if (font = gdk_font_load(cfg.playlist_font))
+#else
+	if (font = gdk_fontset_load(cfg.playlist_font))
+#endif
 	{
 		list = get_playlist();
 		pl->pl_fheight = font->ascent + font->descent + 1;
diff -ur xmms-0.9.1.orig/xmms/playlistwin.c xmms-0.9.1/xmms/playlistwin.c
--- xmms-0.9.1.orig/xmms/playlistwin.c	Wed Jul 14 16:54:01 1999
+++ xmms-0.9.1/xmms/playlistwin.c	Wed Jul 14 16:55:17 1999
@@ -384,7 +384,11 @@
 			cfg.playlist_height = nh;
 			resize_widget(playlistwin_list, cfg.playlist_width - 31, cfg.playlist_height - 58);
 			move_widget(playlistwin_slider, cfg.playlist_width - 15, 20);
+#ifndef I18N_MB
 			resize_widget(playlistwin_sinfo, cfg.playlist_width - 35, 14);
+#else
+			resize_widget(playlistwin_sinfo,cfg.playlist_width-35,playlistwin_sinfo->tb_widget.height);
+#endif
 			playlistwin_update_sinfo();
 			move_widget(playlistwin_shade, cfg.playlist_width - 21, 3);
 			move_widget(playlistwin_close, cfg.playlist_width - 11, 3);
@@ -1408,7 +1412,11 @@
 	playlistwin_create_mask();
 	playlistwin_gc = gdk_gc_new(playlistwin->window);
 
+#ifndef I18N_MB
 	playlistwin_sinfo = create_textbox(&playlistwin_wlist, playlistwin_bg, playlistwin_gc, 4, 4, cfg.playlist_width - 35, FALSE, SKIN_TEXT);
+#else
+	playlistwin_sinfo = create_mbtextbox(&playlistwin_wlist,playlistwin_bg,playlistwin_gc,4,4,cfg.playlist_width-35,FALSE,SKIN_TEXT);
+#endif
 	if (!cfg.playlist_shaded)
 		hide_widget(playlistwin_sinfo);
 	if (cfg.playlist_shaded)
diff -ur xmms-0.9.1.orig/xmms/prefswin.c xmms-0.9.1/xmms/prefswin.c
--- xmms-0.9.1.orig/xmms/prefswin.c	Wed Jul 14 16:54:01 1999
+++ xmms-0.9.1/xmms/prefswin.c	Wed Jul 14 16:55:17 1999
@@ -49,6 +49,16 @@
 GtkWidget *prefswin_options_rt;
 GtkWidget *prefswin_options_font_frame, *prefswin_options_font_hbox;
 GtkWidget *prefswin_options_font_entry, *prefswin_options_font_browse;
+#ifdef I18N_MB
+GtkWidget *prefswin_pi_options_frame, *prefswin_pi_options_vbox,*prefswin_pi_options_table;
+GtkWidget *prefswin_pi_options_uxf;
+GtkWidget *prefswin_pi_options_font_frame,*prefswin_pi_options_font_vbox;
+GtkWidget *prefswin_pi_options_font_label;
+GtkWidget *prefswin_pi_options_font_hbox;
+GtkWidget *prefswin_pi_options_font_entry,*prefswin_pi_options_font_browse;
+GtkWidget *prefswin_pi_options_fontar_hbox,*prefswin_pi_options_fontar;
+GtkWidget *prefswin_pi_options_fontar_entry,*prefswin_pi_options_fontar_label;
+#endif
 GtkWidget *prefswin_options_fontsel;
 GtkWidget *prefswin_vbox, *prefswin_hbox, *prefswin_ok, *prefswin_cancel,
          *prefswin_apply;
@@ -205,6 +215,9 @@
 void prefswin_apply_changes(void)
 {
 	g_free(cfg.playlist_font);
+#ifdef I18N_MB
+	g_free(cfg.playinfo_font);
+#endif
 	cfg.allow_multiple_instances = GTK_TOGGLE_BUTTON(prefswin_options_ami)->active;
 	cfg.always_show_cb = GTK_TOGGLE_BUTTON(prefswin_options_asc)->active;
 	cfg.convert_underscore = GTK_TOGGLE_BUTTON(prefswin_options_cus)->active;
@@ -225,6 +238,11 @@
 	cfg.use_realtime = GTK_TOGGLE_BUTTON(prefswin_options_rt)->active;
 
 	cfg.use_eplugins = GTK_TOGGLE_BUTTON(prefswin_plugins_euse_cbox)->active;
+#ifdef I18N_MB
+	cfg.playinfo_font=g_strdup(gtk_entry_get_text(GTK_ENTRY(prefswin_pi_options_font_entry)));
+	cfg.playinfo_font_use_x11font=GTK_TOGGLE_BUTTON(prefswin_pi_options_uxf)->active;
+	sscanf(gtk_entry_get_text(GTK_ENTRY(prefswin_pi_options_fontar_entry)),"%u",&cfg.playinfo_font_arrange);
+#endif
 
 	equalizerwin_set_doublesize(cfg.doublesize && cfg.eq_doublesize_linked);
 
@@ -350,6 +368,21 @@
 	gtk_clist_select_row(GTK_CLIST(prefswin_audio_ilist), sel, 0);
 }
 
+#ifdef I18N_MB
+void prefswin_i18n_mb_font_browse_cb(GtkWidget *w,gpointer data)
+{
+	if(!prefswin_options_fontsel)
+	{
+		prefswin_options_fontsel=gtk_font_selection_dialog_new("Select playinfo extra font:");
+		gtk_font_selection_dialog_set_font_name(GTK_FONT_SELECTION_DIALOG(prefswin_options_fontsel),cfg.playinfo_font);
+		gtk_signal_connect(GTK_OBJECT(GTK_FONT_SELECTION_DIALOG(prefswin_options_fontsel)->ok_button),"clicked",GTK_SIGNAL_FUNC(prefswin_font_browse_ok),NULL);
+		gtk_signal_connect_object(GTK_OBJECT(GTK_FONT_SELECTION_DIALOG(prefswin_options_fontsel)->cancel_button),"clicked",GTK_SIGNAL_FUNC(gtk_widget_destroy),GTK_OBJECT(prefswin_options_fontsel));
+		gtk_signal_connect(GTK_OBJECT(prefswin_options_fontsel),"destroy",GTK_SIGNAL_FUNC(gtk_widget_destroyed),&prefswin_options_fontsel);
+		gtk_widget_show(prefswin_options_fontsel);
+	}
+}
+#endif
+
 void create_prefs_window(void)
 {
 	GtkWidget *empty, *scrolled_win;
@@ -452,6 +485,59 @@
 
 	gtk_notebook_append_page(GTK_NOTEBOOK(prefswin_notebook), prefswin_audio_vbox, gtk_label_new("Audio I/O"));
 
+#ifdef I18N_MB
+       /*
+	* I18N MB Options page
+	*/
+       prefswin_pi_options_vbox=gtk_vbox_new(FALSE,0);
+       prefswin_pi_options_frame=gtk_frame_new("Playinfo Options");
+       gtk_box_pack_start(GTK_BOX(prefswin_pi_options_vbox),prefswin_pi_options_frame,FALSE,FALSE,0);
+       gtk_container_border_width(GTK_CONTAINER(prefswin_pi_options_frame),5);
+       prefswin_pi_options_table=gtk_table_new(2,7,FALSE);
+       gtk_container_add(GTK_CONTAINER(prefswin_pi_options_frame),prefswin_pi_options_table);
+       gtk_container_border_width(GTK_CONTAINER(prefswin_pi_options_table),5);
+
+
+       prefswin_pi_options_uxf=gtk_check_button_new_with_label("Use X11 font anyway");
+       gtk_table_attach_defaults(GTK_TABLE(prefswin_pi_options_table),prefswin_pi_options_uxf,0,1,0,1);
+
+
+       prefswin_pi_options_font_frame=gtk_frame_new("Playinfo Extra font");
+       gtk_container_set_border_width(GTK_CONTAINER(prefswin_pi_options_font_frame),5);
+       gtk_box_pack_start(GTK_BOX(prefswin_pi_options_vbox),prefswin_pi_options_font_frame,FALSE,FALSE,0);
+       prefswin_pi_options_font_vbox=gtk_vbox_new(FALSE,5);
+       gtk_container_border_width(GTK_CONTAINER(prefswin_pi_options_font_vbox),5);
+       gtk_container_add(GTK_CONTAINER(prefswin_pi_options_font_frame),prefswin_pi_options_font_vbox);
+
+       prefswin_pi_options_font_label=gtk_label_new("NOTE: This take effect next time you restart X11Amp");
+       gtk_container_add(GTK_CONTAINER(prefswin_pi_options_font_vbox),prefswin_pi_options_font_label);
+
+       prefswin_pi_options_font_hbox=gtk_hbox_new(FALSE,5);
+       gtk_container_border_width(GTK_CONTAINER(prefswin_pi_options_font_hbox),5);
+       gtk_container_add(GTK_CONTAINER(prefswin_pi_options_font_vbox),prefswin_pi_options_font_hbox);
+
+       prefswin_pi_options_font_entry=gtk_entry_new();
+       gtk_box_pack_start(GTK_BOX(prefswin_pi_options_font_hbox),prefswin_pi_options_font_entry,TRUE,TRUE,0);
+       prefswin_pi_options_font_browse=gtk_button_new_with_label("Browse");
+       gtk_signal_connect(GTK_OBJECT(prefswin_pi_options_font_browse),"clicked",GTK_SIGNAL_FUNC(prefswin_i18n_mb_font_browse_cb),NULL);
+       gtk_widget_set_usize(prefswin_pi_options_font_browse,85,17);
+       gtk_box_pack_start(GTK_BOX(prefswin_pi_options_font_hbox),prefswin_pi_options_font_browse,FALSE,TRUE,0);
+
+       prefswin_pi_options_fontar_hbox=gtk_hbox_new(FALSE,5);
+       gtk_container_border_width(GTK_CONTAINER(prefswin_pi_options_fontar_hbox),5);
+       gtk_container_add(GTK_CONTAINER(prefswin_pi_options_font_vbox),prefswin_pi_options_fontar_hbox);
+       prefswin_pi_options_fontar=gtk_label_new("Font height arrange:");
+       gtk_box_pack_start(GTK_BOX(prefswin_pi_options_fontar_hbox),prefswin_pi_options_fontar,FALSE,FALSE,0);
+       prefswin_pi_options_fontar_entry=gtk_entry_new_with_max_length(2);
+       gtk_widget_set_usize(prefswin_pi_options_fontar_entry,20,-1);
+       gtk_box_pack_start(GTK_BOX(prefswin_pi_options_fontar_hbox),prefswin_pi_options_fontar_entry,FALSE,FALSE,0);
+       prefswin_pi_options_fontar_label=gtk_label_new("pixels");
+       gtk_box_pack_start(GTK_BOX(prefswin_pi_options_fontar_hbox),prefswin_pi_options_fontar_label,FALSE,FALSE,0);
+
+
+       gtk_notebook_append_page(GTK_NOTEBOOK(prefswin_notebook),prefswin_pi_options_vbox,gtk_label_new("Extra options"));
+#endif 
+
 	/*
 	 * Plugins page
 	 */
@@ -878,6 +964,13 @@
 	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(prefswin_options_rt), cfg.use_realtime);
 
 	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(prefswin_plugins_euse_cbox), cfg.use_eplugins);
+
+#ifdef I18N_MB
+	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(prefswin_pi_options_uxf),cfg.playinfo_font_use_x11font);
+	gtk_entry_set_text(GTK_ENTRY(prefswin_pi_options_font_entry),cfg.playinfo_font);
+	sprintf(temp,"%u",cfg.playinfo_font_arrange);
+	gtk_entry_set_text(GTK_ENTRY(prefswin_pi_options_fontar_entry),temp);
+#endif
 
 	gtk_widget_show_all(prefswin);
 	gtk_widget_grab_default(prefswin_ok);
diff -ur xmms-0.9.1.orig/xmms/skin.c xmms-0.9.1/xmms/skin.c
--- xmms-0.9.1.orig/xmms/skin.c	Wed Jul 14 16:53:59 1999
+++ xmms-0.9.1/xmms/skin.c	Wed Jul 14 16:55:17 1999
@@ -135,6 +135,13 @@
 		skin->vis_color[i][1] = skin_default_viscolor[i][1];
 		skin->vis_color[i][2] = skin_default_viscolor[i][2];
 	}
+#ifdef I18N_MB
+	for(i=0;i<6;i++)
+	{
+		skin->def_textfg[i] = skin->def_pledit_normal;
+		skin->def_textbg[i] = skin->def_pledit_normalbg; 
+	}
+#endif
 	skin->def_mask = create_default_mask(rootwin, 275, 116);
 	skin->def_mask_ds = create_default_mask(rootwin, 550, 232);
 	skin->def_mask_shade = create_default_mask(rootwin, 275, 14);
@@ -347,6 +354,12 @@
 		g_free(skin->pledit_normalbg);
 	if (skin->pledit_selectedbg)
 		g_free(skin->pledit_selectedbg);
+#ifdef I18N_MB
+	if(skin->textfg)
+		g_free(skin->textfg);
+	if(skin->textbg)
+		g_free(skin->textbg);
+#endif
 	skin->main = NULL;
 	skin->cbuttons = NULL;
 	skin->titlebar = NULL;
@@ -364,6 +377,10 @@
 	skin->pledit_current = NULL;
 	skin->pledit_normalbg = NULL;
 	skin->pledit_selectedbg = NULL;
+#ifdef I18N_MB
+	skin->textfg=NULL;
+	skin->textbg=NULL;
+#endif
 	skin->mask_main = NULL;
 	skin->mask_eq = NULL;
 	skin->mask_main_ds = NULL;
@@ -458,6 +475,10 @@
 		skin->pledit_current = load_skin_color(path, "pledit.txt", "text", "current");
 		skin->pledit_normalbg = load_skin_color(path, "pledit.txt", "text", "normalbg");
 		skin->pledit_selectedbg = load_skin_color(path, "pledit.txt", "text", "selectedbg");
+#ifdef I18N_MB
+		skin->textbg=get_textbg_frombmp();
+		skin->textfg=get_textfg_frombmp();
+#endif
 		skin->mask_main = skin_create_transparent_mask(path, "region.txt", "Normal", mainwin->window, 275, 116, FALSE);
 		skin->mask_main_ds = skin_create_transparent_mask(path, "region.txt", "Normal", mainwin->window, 550, 232, TRUE);
 		skin->mask_eq = skin_create_transparent_mask(path, "region.txt", "Equalizer", equalizerwin->window, 275, 116, FALSE);
@@ -617,6 +638,18 @@
 			if (!ret)
 				ret = &skin->def_pledit_selectedbg;
 			break;
+#ifdef I18N_MB
+		case    SKIN_TEXTFG:
+			ret=skin->textfg;
+			if(!ret)
+				ret=skin->def_textfg;
+			break;
+		case    SKIN_TEXTBG:
+			ret=skin->textbg;
+			if(!ret)
+				ret=skin->def_textbg;
+			break;
+#endif
 	}
 	return ret;
 }
diff -ur xmms-0.9.1.orig/xmms/skin.h xmms-0.9.1/xmms/skin.h
--- xmms-0.9.1.orig/xmms/skin.h	Wed Jul 14 16:53:59 1999
+++ xmms-0.9.1/xmms/skin.h	Wed Jul 14 16:55:17 1999
@@ -24,6 +24,9 @@
 	SKIN_BALANCE, SKIN_MONOSTEREO, SKIN_PLAYPAUSE, SKIN_NUMBERS, SKIN_POSBAR, SKIN_PLEDIT, SKIN_EQMAIN,
 	SKIN_PLEDIT_NORMAL, SKIN_PLEDIT_CURRENT, SKIN_PLEDIT_NORMALBG, SKIN_PLEDIT_SELECTEDBG,
 	SKIN_MASK_MAIN, SKIN_MASK_MAIN_DS, SKIN_MASK_EQ, SKIN_MASK_EQ_DS, SKIN_MASK_SHADE, SKIN_MASK_SHADE_DS
+#ifdef I18N_MB
+	,SKIN_TEXTFG, SKIN_TEXTBG
+#endif
 }
 SkinIndex;
 
@@ -48,6 +51,10 @@
 	GdkColor *pledit_normalbg, def_pledit_normalbg;
 	GdkColor *pledit_selectedbg, def_pledit_selectedbg;
 	guchar vis_color[24][3];
+#ifdef I18N_MB
+	GdkColor *textfg,def_textfg[6];
+	GdkColor *textbg,def_textbg[6];
+#endif
 	GdkBitmap *def_mask, *def_mask_ds;
 	GdkBitmap *def_mask_shade, *def_mask_shade_ds;
 	GdkBitmap *mask_main, *mask_main_ds;
diff -ur xmms-0.9.1.orig/xmms/textbox.c xmms-0.9.1/xmms/textbox.c
--- xmms-0.9.1.orig/xmms/textbox.c	Wed Jul 14 16:53:59 1999
+++ xmms-0.9.1/xmms/textbox.c	Wed Jul 14 16:55:17 1999
@@ -20,6 +20,33 @@
 
 void textbox_generate_pixmap(TextBox * tb);
 
+#ifdef I18N_MB
+gint mbtext_width(GdkFont *font, gchar *text, gint length)
+{
+	gint  i, len, width;
+	
+	if(!font)
+		width=length*5; 
+	else if(cfg.playinfo_font_use_x11font)
+		width = gdk_text_width(font, text, length);
+	else    
+	{       
+		for(i=0, width=0; i < length; i++)
+		{               
+			len=mblen(&text[i], MB_CUR_MAX);
+			if(len >1)              
+			{                       
+				width += gdk_text_width(font, &text[i], len);
+				i += len - 1;                       
+			}                       
+			else                    
+				width += 5;                       
+		}               
+	}       
+	return width;
+}
+#endif
+
 void textbox_draw(Widget * w)
 {
 	TextBox *tb = (TextBox *) w;
@@ -54,9 +81,17 @@
 		cw = tb->tb_pixmap_width - tb->tb_offset;
 		if (cw > tb->tb_widget.width)
 			cw = tb->tb_widget.width;
+#ifndef I18N_MB
 		gdk_draw_pixmap(obj, tb->tb_widget.gc, src, tb->tb_offset, 0, tb->tb_widget.x, tb->tb_widget.y, cw, 6);
+#else
+		gdk_draw_pixmap(obj, tb->tb_widget.gc, src, tb->tb_offset, 0, tb->tb_widget.x, tb->tb_widget.y, cw, tb->tb_widget.height);
+#endif
 		if (cw < tb->tb_widget.width)
+#ifndef I18N_MB
 			gdk_draw_pixmap(obj, tb->tb_widget.gc, src, 0, 0, tb->tb_widget.x + cw, tb->tb_widget.y, tb->tb_widget.width - cw, 6);
+#else
+			gdk_draw_pixmap(obj, tb->tb_widget.gc, src, 0, 0, tb->tb_widget.x + cw, tb->tb_widget.y, tb->tb_widget.width-cw, tb->tb_widget.height);
+#endif
 	}
 }
 
@@ -149,10 +184,18 @@
 	if (wl * 5 != tb->tb_widget.width)
 		wl++;
 
+#ifdef I18N_MB
+	if(mbtext_width(tb->font,text,length)<tb->tb_widget.width)
+#else
 	if (length <= wl)
+#endif
 	{
 		tb->tb_is_scrollable = FALSE;
+#ifdef I18N_MB
+		pad=(tb->tb_widget.width-mbtext_width(tb->font,text,length))/mbtext_width(tb->font," ",1);
+#else
 		pad = wl - length;
+#endif
 		tb->tb_text = (gchar *) g_realloc(tb->tb_text, length + pad + 1);
 		for (i = 0; i < pad; i++)
 			strcat(tb->tb_text, " ");
@@ -163,7 +206,11 @@
 			tb->tb_timeout_tag = 0;
 		}
 	}
+#ifdef I18N_MB
+	else if(mbtext_width(tb->font,text,length)>tb->tb_widget.width&&tb->tb_scroll_allowed)
+#else
 	else if (length * 5 > tb->tb_widget.width && tb->tb_scroll_allowed)
+#endif
 	{
 		tb->tb_is_scrollable = TRUE;
 		length += 7;
@@ -184,6 +231,10 @@
 {
 	gint length, i, x, y;
 	GdkGC *gc;
+#ifdef I18N_MB
+	gint xx, yy;
+	GdkPixmap *tmp_pixmap;
+#endif
 
 	if (tb->tb_pixmap)
 		gdk_pixmap_unref(tb->tb_pixmap);
@@ -194,13 +245,39 @@
 
 	length = strlen(tb->tb_text);
 
+#ifndef I18N_MB
 	tb->tb_pixmap_width = length * 5;
 	tb->tb_pixmap = gdk_pixmap_new(mainwin->window, tb->tb_pixmap_width, 6, gdk_visual_get_best_depth());
+#else
+	tb->tb_pixmap_width=mbtext_width(tb->font, tb->tb_text, length);
+	if(tb->tb_pixmap_width < tb->tb_widget.width)
+		tb->tb_pixmap_width=tb->tb_widget.width;
+	tb->tb_pixmap=gdk_pixmap_new(mainwin->window,tb->tb_pixmap_width,
+		tb->tb_widget.height,gdk_visual_get_best_depth());
+#endif
 	gc = tb->tb_widget.gc;
 
+#ifdef I18N_MB
+	xx=0;
+	if(tb->font)
+		yy=abs((int)((double)(tb->tb_widget.height - 6)/2+1));
+	else
+		yy=0;
+	tmp_pixmap=gdk_pixmap_new(mainwin->window,tb->tb_pixmap_width,
+			1,gdk_visual_get_best_depth());
+	/* Draw default background */
+	for( y=0; y< tb->tb_widget.height; y++)
+	{
+		gdk_gc_set_foreground(gc,&(get_skin_color(SKIN_TEXTBG)[5*y/(tb->tb_widget.height-1)]));
+		gdk_draw_rectangle(tb->tb_pixmap,gc,1,0,y,tb->tb_pixmap_width,1);
+	}
+#endif
 	for (i = 0; i < length; i++)
 	{
 		x = y = -1;
+#ifdef I18N_MB
+		if((!tb->font)||(!cfg.playinfo_font_use_x11font)) {
+#endif
 		tb->tb_text[i] = toupper(tb->tb_text[i]);
 		if (tb->tb_text[i] >= 'A' && tb->tb_text[i] <= 'Z')
 		{
@@ -298,6 +375,7 @@
 					x = 150;
 					y = 6;
 					break;
+#ifndef I18N_MB
 				case '':
 				case '':
 					x = 0;
@@ -318,6 +396,7 @@
 					x = 100;
 					y = 0;
 					break;
+#endif
 				case '?':
 					x = 15;
 					y = 12;
@@ -326,14 +405,48 @@
 					x = 20;
 					y = 12;
 					break;
+#ifdef I18N_MB
+				case ' ':
+#else
 				default:
+#endif
 					x = 25;
 					y = 12;
 					break;
 			}
 		}
+#ifdef I18N_MB
+		}
+		if(x<0&& tb->font) {     /* draw multibyte charactor with gradiation */
+			gint  len, y, w, h;
+			len = mblen(&tb->tb_text[i], MB_CUR_MAX);
+			if(len>0) {
+				w = gdk_text_width(tb->font,&tb->tb_text[i], len);
+				h = tb->tb_widget.height;
+				for( y=0; y< h; y++) {
+					gdk_draw_pixmap(tmp_pixmap,gc,tb->tb_pixmap,xx,y,0,0,w,h);
+					gdk_gc_set_foreground(gc,&(get_skin_color(SKIN_TEXTFG)[5*y/(h-1)]));
+					gdk_draw_text(tmp_pixmap, tb->font, gc,
+							0, 
+							tb->font->ascent+cfg.playinfo_font_arrange-2-y,
+							&tb->tb_text[i], len);
+					gdk_draw_pixmap(tb->tb_pixmap,gc,tmp_pixmap,0,0,xx,y,w,1);
+				}
+				xx += w;
+				i += len-1;
+			}
+		} else {      /* draw single charactor with  skin's font */
+			gdk_draw_pixmap(tb->tb_pixmap,gc,get_skin_pixmap(tb->tb_skin_index),
+					x,y,xx,yy,5,6);
+			xx += 5;
+		}
+#else
 		gdk_draw_pixmap(tb->tb_pixmap, gc, get_skin_pixmap(tb->tb_skin_index), x, y, i * 5, 0, 5, 6);
+#endif
 	}
+#ifdef I18N_MB
+	gdk_pixmap_unref(tmp_pixmap);
+#endif
 
 	draw_widget(tb);
 }
@@ -366,6 +479,9 @@
 	TextBox *tb;
 
 	tb = (TextBox *) g_malloc0(sizeof (TextBox));
+#ifdef I18N_MB
+	tb->font = NULL;
+#endif
 	tb->tb_widget.parent = parent;
 	tb->tb_widget.gc = gc;
 	tb->tb_widget.x = x;
@@ -383,6 +499,31 @@
 	add_widget(wlist, tb);
 	return tb;
 }
+
+#ifdef I18N_MB
+TextBox *create_mbtextbox(GList **wlist, GdkPixmap *parent, GdkGC *gc, gint x, gint y, gint w, gboolean allow_scroll, SkinIndex si)
+{
+	TextBox *tb;
+	GdkFont *font;
+	gint height;
+
+      	tb=create_textbox(wlist, parent, gc, x, y, w, allow_scroll, si);
+
+      	if(strlen(cfg.playinfo_font)) 
+		font = gdk_fontset_load(cfg.playinfo_font);
+
+      	if(font) {
+		tb->font = font;
+		height = font->ascent + font->descent - 2 + cfg.playinfo_font_arrange;
+		if(height > 6)
+			tb->tb_widget.y -= (height - 6) / 2;
+		else
+			height = 6;
+		tb->tb_widget.height = height;
+	}
+	return tb;
+}
+#endif
 
 void free_textbox(TextBox * tb)
 {
diff -ur xmms-0.9.1.orig/xmms/textbox.h xmms-0.9.1/xmms/textbox.h
--- xmms-0.9.1.orig/xmms/textbox.h	Wed Jul 14 16:54:00 1999
+++ xmms-0.9.1/xmms/textbox.h	Wed Jul 14 16:55:17 1999
@@ -33,6 +33,9 @@
 	         tb_is_dragging;
 	gint tb_timeout_tag, tb_drag_x, tb_drag_off;
 	SkinIndex tb_skin_index;
+#ifdef I18N_MB
+	GdkFont *font;
+#endif
 }
 TextBox;
 
@@ -40,5 +43,8 @@
 void textbox_set_scroll(TextBox * tb, gboolean s);
 TextBox *create_textbox(GList ** wlist, GdkPixmap * parent, GdkGC * gc, gint x, gint y, gint w, gboolean allow_scroll, SkinIndex si);
 void free_textbox(TextBox * tb);
+#ifdef I18N_MB
+TextBox *create_mbtextbox(GList **wlist,GdkPixmap *parent,GdkGC *gc,gint x,gint y,gint w,gboolean allow_scroll,SkinIndex si);
+#endif
 
 #endif
diff -ur xmms-0.9.1.orig/xmms/xmms.h xmms-0.9.1/xmms/xmms.h
--- xmms-0.9.1.orig/xmms/xmms.h	Wed Jul 14 16:54:01 1999
+++ xmms-0.9.1/xmms/xmms.h	Wed Jul 14 16:55:17 1999
@@ -18,6 +18,8 @@
 #ifndef XMMS_H
 #define XMMS_H
 
+#include "config.h"
+
 #include <gtk/gtk.h>
 #include <gdk/gdkx.h>
 #include <gdk/gdkkeysyms.h>
@@ -74,7 +76,5 @@
 #include "equalizer.h"
 #include "about.h"
 #include "hints.h"
-
-#include "config.h"
 
 #endif
diff -ur xmms-0.9.1.orig/config.h.in xmms-0.9.1/config.h.in
--- xmms-0.9.1.orig/config.h.in~	Wed Jul 14 18:04:40 1999
+++ xmms-0.9.1/config.h.in	Wed Jul 14 18:07:25 1999
@@ -54,3 +54,5 @@
 /* Version number of package */
 #undef VERSION
 
+/* Internationalization */
+#undef I18N_MB
